Mercury API
msgSetupReadTagMultiple Method (timeout, antennas, filt, protocol, metadataFlags, accessPassword)
Namespaces ► ThingMagic ► SerialReader ► msgSetupReadTagMultiple(UInt16, SerialReader..::.AntennaSelection, TagFilter, TagProtocol, SerialReader..::.TagMetadataFlag, Int32)
Assembly ReadTagMultiple Cmd bytes
Declaration Syntax

C# | Visual Basic | Visual C++

    [ObsoleteAttribute]
    public List<byte> msgSetupReadTagMultiple(
    	ushort timeout,
    	SerialReader..::.AntennaSelection antennas,
    	TagFilter filt,
    	TagProtocol protocol,
    	SerialReader..::.TagMetadataFlag metadataFlags,
    	int accessPassword
    )

    <ObsoleteAttribute> _
    Public Function msgSetupReadTagMultiple ( _
    	timeout As UShort, _
    	antennas As SerialReader..::.AntennaSelection, _
    	filt As TagFilter, _
    	protocol As TagProtocol, _
    	metadataFlags As SerialReader..::.TagMetadataFlag, _
    	accessPassword As Integer _
    ) As List(Of Byte)

    [ObsoleteAttribute]
    public:
    List<unsigned char>^ msgSetupReadTagMultiple(
    	unsigned short timeout,
    	SerialReader..::.AntennaSelection antennas,
    	TagFilter^ filt,
    	TagProtocol protocol,
    	SerialReader..::.TagMetadataFlag metadataFlags,
    	int accessPassword
    )

Parameters

timeout (UInt16)
  the duration in milliseconds to search for tags. Valid range is 0-65535

antennas (SerialReader..::.AntennaSelection)
  the antenna or antennas to use for the search

filt (TagFilter)
  a specification of the air protocol filtering to perform

protocol (TagProtocol)
  The reader's current tag protocol setting (controls formatting of the Read Tag Multiple command)

metadataFlags (SerialReader..::.TagMetadataFlag)
  The metadata flags

accessPassword (Int32)
  The access password

Return Value
the command byte list

Assembly: MercuryAPI (Module: MercuryAPI) Version: 1.29.4.34 (1.29.4.34)